<?php
/**
 * [BEGIN_COT_EXT]
 * Hooks=global
 * [END_COT_EXT]
 */

defined('COT_CODE') or die('Wrong URL');

require_once cot_incfile('ds', 'module');
require_once cot_langfile('ds', 'module');

global $db, $db_config, $cfg, $L, $cot_usersonline;

$usr['ds_support_chat'] = 0;

if($usr['id'] > 0 && !in_array($usr['maingrp'], $cfg['ds']['supportinfo']['modergroups'])) {
  $usr['ds_support_chat'] = cot_create_chat($usr['id'], 0);
}

$usr['dsblock'] = (($usr['id'] > 0 && $usr['profile']['user_dsblock'] > 0) ? 1 : 0);

?>